Query User List
Request Description
Request Headers
| Parameter Name | Chinese Name | Required | Type | Description |
|---|---|---|---|---|
| Authorization | Authorization | Yes | String | Format: Bearer {access_token} |
| Content-Type | Content Type | Yes | String | Fixed value: application/json; charset=utf-8 |
Request Example
http
GET https://{your_domain}/api/v2/tenant/users?offset=0&limit=10Request Parameters
| Parameter Name | Chinese Name | Required | Type | Description |
|---|---|---|---|---|
| offset | Page Offset | Yes | Number | Starts from page 0 |
| limit | Items Per Page | Yes | Number | Items per page must be between 10 and 100 |
| updated_at_greater | Updated After | No | String | Filter by update time; only records updated after this time are returned. Format: yyyy-MM-dd HH:mm:ss |
| updated_at_less | Updated Before | No | String | Filter by update time; only records updated before this time are returned. Format: yyyy-MM-dd HH:mm:ss |
Response Example
Success Example
HTTP/1.1 200 OK
JSON
{
"total":2,
"users":[
{
"user_name":"zhangsan",
"user_id":"20220126153857263-A04D-60E0D446C",
"name":"张三",
"mobile":"15200000000",
"email":"15200000000@qq.com",
"pwd_change_at":"2022-02-15 12:23:23",
"created_at":"2022-02-10 12:23:23",
"updated_at":"2022-02-15 12:23:23",
"disabled":false,
"attr_gender":"male",
"attr_birthday":"2022-02-17",
"attr_nick_name":"张三",
"mailing_address":"湖北省武汉市",
"zip_code":"430000",
"first_name":'',
"middle_name":'',
"last_name":'',
"industry":"事业单位",
"external_id":"12345678741d29069abcdef089d4q87sk12",
"usr_auth_times":"4",
"usr_last_login":"2022-02-17 13:00:25",
"extension": {
"age":"28"
},
"head_img": "https://........"
},
{
"user_name":"zhangsan",
"user_id":"20220126153857263-A04D-60E0D446D",
"name":"张三",
"mobile":"15200000000",
"email":"15200000000@qq.com",
"pwd_change_at":"2022-02-15 12:23:23",
"created_at":"2022-02-10 12:23:23",
"updated_at":"2022-02-15 12:23:23",
"disabled":false,
"attr_gender":"male",
"attr_birthday":"2022-02-17",
"attr_nick_name":"张三",
"mailing_address":"湖北省武汉市",
"zip_code":"430000",
"first_name":'',
"middle_name":'',
"last_name":'',
"industry":"事业单位",
"external_id":"12345678741d29069abcdef089d4q87sk16",
"usr_auth_times":"4",
"usr_last_login":"2022-02-17 13:00:25",
"extension": {
"age":"28"
},
"head_img": "https://........"
}
]
}Response Parameters
| Parameter Name | Chinese Name | Type | Description |
|---|---|---|---|
| user_name | Username | String | |
| user_id | User ID | String | |
| name | Name | String | |
| mobile | Mobile Number | String | |
| String | |||
| pwd_change_at | Password Change Time | String | |
| created_at | User Creation Time | String | |
| updated_at | User Update Time | String | |
| disabled | Disabled | String | |
| attr_gender | Gender | String | "unknow": confidential "male": male "female": female |
| attr_birthday | Birthday | String | Format: yyyy-mm-dd |
| attr_nick_name | Nickname | String | |
| mailing_address | Mailing Address | String | |
| zip_code | Zip Code | String | |
| first_name | First Name | String | |
| middle_name | Middle Name | String | |
| last_name | Last Name | String | |
| industry | Industry | String | |
| external_id | External ID | String | |
| usr_auth_times | Login Counts | Number | |
| usr_last_login | Last Login Time | String | |
| extension | Extended Attributes | JSONObject | |
| head_img | User Avatar URL | String |
Error Codes
| Status Code | Error Code | Chinese Error Message | English Error Message | Resolution |
|---|---|---|---|---|
| 400 | IDAAS.TENANT.PAGE.0001 | 每页数量不符合校验规则 | The number of pages does not meet the verification rules | Please re-enter the number of items per page |